XDaliClock(1)

NAME
xdaliclock - melting digital clock

SYNOPSIS
xdaliclock

DESCRIPTION
The xdaliclock program displays a digital clock; when a digit changes, it melts into its new shape.

This program was inspired by the Alto and Macintosh programs of the same name, written by Steve Capps in 1983 or 1984.

COMMAND-LINE OPTIONS

--display host:display.screen
    The X display to use.

--version
    Print the version number and exit.

--root
    Render on the root window instead of opening an application window.

--window-id number
    Render on an existing X11 Window instead of its own window.

GESTURES

Single click
    Display the date. It will also be briefly shown about once a minute.

Double click
    Switch between 12-hour and 24-hour mode.

Right click
    Open the preferences dialog.

Left arrow or down arrow keys
    Reduce the number of digits shown (e.g. HH:MM:SS to HH:MM).

Right arrow or up arrow keys
    Increase the number of digits shown (e.g. HH:MM to HH:MM:SS).

PREFERENCES

Date & Time
    How to format the date and time, and how many digits to use.

Colors
    The starting foreground and background colors, and how quickly to cycle their hues.

Countdown timer
    To count down to (and then up from) a target time, enter it in the form "YYYY-MM-DD HH:MM:SS". If the "Seconds only in home stretch" box is checked, the display will switch to a seconds-only display 30 seconds before the target.

ENVIRONMENT
DISPLAY to get the default host and display number.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

GSETTINGS_SCHEMA_DIR
    Where preferences and defaults are stored.

UPGRADES
The latest version can be found at https://www.jwz.org/xdaliclock/

There are also version of this program there for macOS, iOS, Android and others.

COPYRIGHT
Copyright © 1991-2022 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 18-sep-91.

Based on a concept by Steve Capps.